View Issue Details

IDProjectCategoryView StatusLast Update
0005750ScribusStory Editor / Text Framespublic2017-07-08 19:02
Reporteralexandre Assigned Toavox  
PrioritynormalSeverityfeatureReproducibilityalways
Status closedResolutionfixed 
Product Version1.4 milestone 
Target VersionFuture Release - Nice to haveFixed in Version 
Summary0005750: Break text by unlinking text frames
DescriptionScribus should be able to

1) unlink text frames in such a way that text will stay in the unlinked frames

2) convert a text frame taht has columns into several smaller text frame, where each new frame represents an ex-column, while text is unlinked too.
Additional InformationSounds like a job best done with Python scripts :)
Tagslinked frames
PatchNo

Relationships

has duplicate 0008847 closedjghali [feature request] unlinking text frames with text slicing 
has duplicate 0010873 closedjghali Unlink with cut of the whole chain of linked frames 

Activities

avox

2007-05-24 18:03

administrator   ~0016303

1) is implelemented in 1.3.4, please test

Kunda

2015-04-29 01:55

manager   ~0034985

This is not implemented AFAICT. Moved to 'Future Release'

Kunda

2015-04-29 15:17

manager   ~0034994

04-29-2015 avox on IRC: "...must be a regression. I'm sure I implemented it in 1.3.4"

Kunda

2015-04-29 15:45

manager   ~0034995

Correction, it is implemented but hidden. I really am urging to add this in to the context menu. I had no clue it was in:
Item > Text Frame Links > Unlink Text Frame with Text Cut

Kunda

2015-04-30 00:52

manager   ~0034996

Last edited: 2015-05-01 00:50

View 2 revisions

So to recap,
1) unlink text frames in such a way that text will stay in the unlinked frames

Scribus already does this but it's hidden :(

2) convert a text frame taht has columns into several smaller text frame, where each new frame represents an ex-column, while text is unlinked too.

Not sure # 2 is implemented.

ale

2015-04-30 06:24

manager   ~0034999

imo, 2 is not really useful.

if you want two frames instead of two columns in a frame, you should first create guides for placing your frames.

once you have them, it's trivial to resize the original frame, press n, click inside the empty "guides column".

i don't see why the two columns should then be unlinked... but having a better accessibility to the unlink with cut tool (and, please, again: remove unlink with copy: it's pointless!) will solve that, too.

we should also should make sure that the above workflow can be (partially) automated through scripting.

Kunda

2015-05-01 00:55

manager   ~0035002

Last edited: 2015-05-01 00:56

View 2 revisions

Craig, as per our conversation on IRC:

<MrB> no... context menu is for things that get used regularly.. that is unlikely to be used by most people
<Kunda> MrB, can there be like a special context menu triggered when someone is working in a linked text frame ?
<MrB> Kunda: yes
<Kunda> what are those type of context menus called ?
<MrB> context menus :)

If one is working within a linked text frame then in that context it merits a place in that unique context menu. Any other time it doesn't based on your opinion. That seems fair to me.

JLuc

2016-05-06 19:21

developer   ~0040851

I agree that "unlink with text cut" should appear in the context menu for linked text frames.

And i've never used nor wished to use the "unlink with text copy". IMO That latter option should disappear.

eudoxos

2017-07-08 14:29

reporter   ~0044145

Can be closed, (1) was already implemented (under the name unlink frames and cut text), while (2) is not going to happen based on discussion.

jghali

2017-07-08 19:02

administrator   ~0044150

Ok, closing then.

Issue History

Date Modified Username Field Change
2007-05-24 16:50 alexandre New Issue
2007-05-24 18:03 avox Note Added: 0016303
2008-02-06 00:24 christoph_s Status new => acknowledged
2008-02-06 00:24 christoph_s Status acknowledged => assigned
2008-02-06 00:24 christoph_s Assigned To => avox
2010-02-19 09:40 jghali Relationship added has duplicate 0008847
2015-04-29 01:55 Kunda Patch => No
2015-04-29 01:55 Kunda Note Added: 0034985
2015-04-29 01:55 Kunda Target Version => Future Release - Nice to have
2015-04-29 15:17 Kunda Note Added: 0034994
2015-04-29 15:45 Kunda Note Added: 0034995
2015-04-30 00:52 Kunda Note Added: 0034996
2015-04-30 06:24 ale Note Added: 0034999
2015-05-01 00:50 Kunda Note Edited: 0034996 View Revisions
2015-05-01 00:55 Kunda Note Added: 0035002
2015-05-01 00:56 Kunda Note Edited: 0035002 View Revisions
2015-09-17 20:08 Kunda Category Story Editor / Text Frames => Story Ed/Txt Frames
2015-09-17 20:12 Kunda Category Story Ed/Txt Frames => Story Editor / Text Frames
2016-04-14 15:18 Kunda Tag Attached: linked frames
2016-05-06 19:21 JLuc Note Added: 0040851
2017-07-08 14:29 eudoxos Note Added: 0044145
2017-07-08 14:59 jghali Relationship added has duplicate 0010873
2017-07-08 19:02 jghali Status assigned => resolved
2017-07-08 19:02 jghali Resolution open => fixed
2017-07-08 19:02 jghali Note Added: 0044150
2017-07-08 19:02 jghali Status resolved => closed